Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.management.stats
Class ComponentStatistics

    java.lang.Object
      org.mule.management.stats.ComponentStatistics

All Implemented Interfaces:
  Serializable, Statistics

    public class ComponentStatistics

extends Object
implements Statistics

See Also:
  Serialized Form

Field Summary
`protected Log` | `logger`

Constructor Summary
`ComponentStatistics()` The constructor added to initialize the interval time in ms that stats are measured for from the property statIntervalTime.

Method Summary
`void` | `addCompleteExecutionTime(long time)` Add the complete execution time for a flow that also reports branhc execution times
`void` | `addExecutionBranchTime(boolean first, long branch, long total)` Add a new execution-time measurement for one branch of processing an event
`void` | `addExecutionTime(long time)` Add a new execution-time measurement for processing an event.
`void` | `clear()`
`long` | `getAverageExecutionTime()`
`long` | `getExecutedEvents()`
`long` | `getMaxExecutionTime()`
`long` | `getMinExecutionTime()`
`long` | `getTotalExecutionTime()`
`boolean` | `isEnabled()` Are statistics logged
`void` | `logSummary()`
`void` | `logSummary(PrintWriter printer)`
`void` | `setEnabled(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### ComponentStatistics

    public ComponentStatistics()

  The constructor added to initialize the interval time in ms that stats are measured for from the property statIntervalTime. If the property is not set or cannot be parsed, disable interval time and just compute stats from start of mule. TODO: The code to create and use an interval time for measuring average execution time could be removed once a complete solution is available in MuleHQ to monitor this

Method Detail

### clear

    public void clear()

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Statistics`
  Are statistics logged

  Specified by:
    `isEnabled` in interface `Statistics`

### logSummary

    public void logSummary()

### logSummary

    public void logSummary(PrintWriter printer)

### setEnabled

    public void setEnabled(boolean b)

### getMaxExecutionTime

    public long getMaxExecutionTime()

### getMinExecutionTime

    public long getMinExecutionTime()

### getTotalExecutionTime

    public long getTotalExecutionTime()

### getExecutedEvents

    public long getExecutedEvents()

### addExecutionBranchTime

    public void addExecutionBranchTime(boolean first,
                                       long branch,
                                       long total)

  Add a new execution-time measurement for one branch of processing an event

  Parameters:
    `first` - true if this is the first branch for this event
    `branch` - the time to execute this branch
    `total` - the total time (so far) for processing this event

### addCompleteExecutionTime

    public void addCompleteExecutionTime(long time)

  Add the complete execution time for a flow that also reports branhc execution times

### addExecutionTime

    public void addExecutionTime(long time)

  Add a new execution-time measurement for processing an event.

  Parameters:
    `time` -

### getAverageExecutionTime

    public long getAverageExecutionTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.